User Tag List

Page 17 of 22 FirstFirst ... 7 15 16 17 18 19 ... LastLast
Results 161 to 170 of 212

Thread: Android Runtime - Build 292

  1. #161
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,143
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    @Lecherbault i was looking for image like MrJustan posted, yours does not tell me much, sorry

    BUT if he is asking for ansi 32 bits is because some mixup with versions is happening at you side.

    this message confuse me

    I have installed jdk-11.0-1 and pointed to the correct location (java and android studio)
    jdK 11?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  2. #162
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    @Lecherbault i was looking for image like MrJustan posted, yours does not tell me much, sorry

    BUT if he is asking for ansi 32 bits is because some mixup with versions is happening at you side.

    this message confuse me



    jdK 11?
    This?
    jdk.jpg

  3. #163
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    @Lecherbault i was looking for image like MrJustan posted, yours does not tell me much, sorry

    BUT if he is asking for ansi 32 bits is because some mixup with versions is happening at you side.

    this message confuse me



    jdK 11?
    This?
    jdk2.jpg

  4. #164
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    I can normally compile a program (apk), unless it calls the android extensions "Gmaps" and "Location". Is not the problem in updating these extensions?

    As recommanded by Yves,

    1. I have installed Android Studio and make sure a recent 64-bit version of JDK 8 is installed.
    2. I have reported the Android SDK pathname mentioned in the SDK config screen of Android Studio to the General / Android preferences of Fusion.
    3. I compile good, unless it calls Android Gmap and Location extensions. Are these extension "Gradle" versions? By Steam?
    4. I build my apps, with Build API set to 28.
    5. I have no message "Licenses not accepted".

    I see MrJustan is also with Steam update

  5. #165
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Restart, check all files by Steam, and now, i can not compile any apk, even empty progam. I have this message, i will explode:

    ----------------------------------------------
    FAILURE: Build failed with an exception.

    * What went wrong:
    A problem occurred configuring project ': app'.
    > Trailing char <> at index 37: C: \ Users \ al \ AppData \ Local \ Android \ Sdk \ package.xml

    * Try:
    Run with --stacktrace option to get the trace stack. Run with --info or --debug option to get more output log. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 0s
    -----------------------------------

  6. #166
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,143
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    @Lecherbault android use now only jdk 1.8 that why is giving this problem, so you must install is java sdk 1.8 because wht is in your images is NOT java 8

    https://android-developers.googleblog.com/2017/03/future-of-java-8-language-feature.html

    and the java sdk is here

    https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

    can you uninstall the version that you have now in your PC and reinstall a java sdk 8 version plus make the change in editor and try





    Regards,


    Fernando Vivolo

    ... new things are coming ...

  7. #167
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    @Lecherbault android use now only jdk 1.8 that why is giving this problem, so you must install is java sdk 1.8 because wht is in your images is NOT java 8

    https://android-developers.googleblog.com/2017/03/future-of-java-8-language-feature.html

    and the java sdk is here

    https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

    can you uninstall the version that you have now in your PC and reinstall a java sdk 8 version plus make the change in editor and try





    I did as you said: uninstall Java version sdk, restarted and installed jdk1.8.0_221
    I pointed to the relative file in mmf2.5
    I created an empty android program, but I could not compile an apk. Always this error:

    java1.jpg
    ----------------------
    Starting a Gradle Daemon, 4 busy and 1 incompatible and 1 stopped Daemons could not be reused, use --status for details

    FAILURE: Build failed with an exception.

    * What went wrong:
    A problem occurred configuring project ': app'.
    > Trailing char <> at index 37: C: \ Users \ al \ AppData \ Local \ Android \ Sdk \ package.xml

    * Try:
    Run with --stacktrace option to get the trace stack. Run with --info or --debug option to get more output log. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 29s

  8. #168
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,143
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    mm somehow the android sdk have a non ascii character in the folder name can you verify that you use only ascii characters in teh folder name and non space

    ==============================

    also show me an image of this folder (file details)

    C: \ Users \ al \ AppData \ Local \ Android \ Sdk \


    mm, can you install your android sdk in a ascii named folder this shoudl fix your issue
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #169
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Fernando View Post
    mm somehow the android sdk have a non ascii character in the folder name can you verify that you use only ascii characters in teh folder name and non space

    ==============================

    also show me an image of this folder (file details)

    C: \ Users \ al \ AppData \ Local \ Android \ Sdk \


    mm, can you install your android sdk in a ascii named folder this shoudl fix your issue
    Here is the image of the folder ...
    java3.jpg
    Also, i pointed to the "C: / Users / al / AppData / Local / Android / Sdk /" link and try to compile a apk. It is OK! But not correct if i add "Location" extension or android "Gmap" extension ...
    I have this error:
    ------------------
    > Task :app:preBuild UP-TO-DATE
    > Task :app:preDebugBuild
    > Task :app:compileDebugAidl NO-SOURCE
    > Task :app:compileDebugRenderscript NO-SOURCE
    > Task :app:checkDebugManifest
    > Task :app:generateDebugBuildConfig
    > Task :app:prepareLintJar
    > Task :app:generateDebugSources
    > Task :app:javaPreCompileDebug
    > Task :app:mainApkListPersistenceDebug
    > Task :app:generateDebugResValues
    > Task :app:generateDebugResources
    > Task :app:mergeDebugResources
    > Task :app:createDebugCompatibleScreenManifests
    > Task :app:processDebugManifest
    > Task :app:processDebugResources

    > Task :app:compileDebugJavaWithJavac FAILED
    C:\Users\al\AppData\Local\Temp\And367B.tmp\app\src \main\java\Extensions\CRunLocation.java:266: error: incompatible types: missing return value
    if(providers == null) return;
    ^
    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    Note: Some input files use unchecked or unsafe operations.
    Note: Recompile with -Xlint:unchecked for details.
    1 error

    FAILURE: Build failed with an exception.

    * What went wrong:
    Execution failed for task ':app:compileDebugJavaWithJavac'.
    > Compilation failed; see the compiler error output for details.

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
    Use '--warning-mode all' to show the individual deprecation warnings.
    See https://docs.gradle.org/5.1.1/usergu..._line_warnings

    BUILD FAILED in 3s
    12 actionable tasks: 12 executed

  10. #170
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Lecherbault's Avatar
    Join Date
    Jul 2016
    Posts
    137
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    Is there only me who can not compile an APK with the extension "Location" ou Android"Gmaps" ? Do you manage? App version dev 292.10 API 28? ...

Page 17 of 22 FirstFirst ... 7 15 16 17 18 19 ... LastLast

Similar Threads

  1. Users that cannot build with Android Studio (ant\build.xml error)
    By Perry in forum Android Export Module 2.5
    Replies: 77
    Last Post: 16th October 2018, 02:17 PM
  2. Replies: 56
    Last Post: 26th December 2017, 08:53 PM
  3. Cannot build my Android app (ant/build.xml error)
    By oaklan5 in forum Fusion 2.5
    Replies: 1
    Last Post: 27th July 2017, 06:59 PM
  4. Replies: 15
    Last Post: 27th November 2014, 10:08 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •